# Uses of Interface
javax.swing.plaf.basic.ComboPopup

Packages that use ComboPopup
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

## Uses of ComboPopup in javax.swing.plaf.basic

Classes in javax.swing.plaf.basic that implement ComboPopup
Modifier and Type
Class
Description
`class`
`BasicComboPopup`
This is a basic implementation of the `ComboPopup` interface.
Fields in javax.swing.plaf.basic declared as ComboPopup
Modifier and Type
Field
Description
`protected ComboPopup`
BasicComboBoxUI.`popup`
The implementation of `ComboPopup` that is used to show the popup.
Methods in javax.swing.plaf.basic that return ComboPopup
Modifier and Type
Method
Description
`protected ComboPopup`
BasicComboBoxUI.`createPopup()`
Creates the popup portion of the combo box.

## Uses of ComboPopup in javax.swing.plaf.metal

Classes in javax.swing.plaf.metal that implement ComboPopup
Modifier and Type
Class
Description
`class`
`MetalComboBoxUI.MetalComboPopup`
Deprecated.
As of Java 2 platform v1.4.